cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
If you're up against the clock to get holiday ready, so here are some tips on how to use Dropbox to make your prep easy! Check them out!

Dropbox files & folders

Get in sync with the Dropbox Community. Our members can answer all your questions on Dropbox files and folders. Join a discussion or start your own today.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Can't start Dropbox because of permission error

Can't start Dropbox because of permission error

ameliebouan
Helpful | Level 6

Hi!

I have two profiles on my Mac: one for my personal use, and one for my professional use. The profile for personal use has admin rights, the profile for professional use does not (but I could set it so it did). It's the profiles you see and can log into when you turn the Mac on. 

I have installed the Dropbox app with both my Dropbox accounts (which are linked together) on my personal profile (the one with admin rights). It has been succesfully working for over two years.

I am now trying to install the Dropbox app on my professional profile on Mac (the one without admin rights), but I get this message error: Can't start Dropbox because of permission error.

I have tried two troubleshooting processes here on the Dropbox community, but non have worked (please see below). 

Can you please help me? I really need this to work for my job.

Thank you very much in advance!

Amélie

 

__

METHODS TRIED TO SOLVE THE ISSUE:

1. Method one

This often happens with users who may have migrated old data and settings from another Mac to their current computer.

Operating system permissions prevent files from being viewed or edited by unauthorized logins. Permissions can be set any number of ways and can be restored manually through a fairly simple process. Please note that it is very important to follow these steps specifically as failure to do so may result in other issues. On a Mac OS X you can do the following:

1) Make sure the Dropbox desktop application is running

2) Click on the Dropbox icon in your menu bar and then click on the gear in the Notifications panel

3) Select 'Preferences'

4) Click on the 'Account' tab

5) Hold down the 'Option' key

6) Click on the 'Fix Permissions' button (make sure you're still holding down the 'Option' key.

This will allow Dropbox access to your home folder, Dropbox folder, and any required settings.

 

2. Method two

1) Select your home directory (the folder named after your computer's login) and press Command-I to "Get Info"
2) Scroll down to the "Sharing & Permissions" section at the bottom of the Get Info window
3) If everything is grayed out, click on the gold lock at the bottom right of the window. You'll be prompted for your login password. You'll need admin access to edit the permissions. If you are unable to unlock these privileges, talk to your system administrator to give you access to this folder.
4) Your name should already be on the list of sharing and permissions. If you aren't listed, then add yourself by clicking the + button.
5) Once your user is added, click your name and then click the gear menu at the bottom middle of the window, and choose "Make me the owner". If this option is grayed out you can skip to step 6.
6) Click the gear again and choose "Apply to enclosed items".

 

__

ERROR INFO

bn.BUILD_KEY: Dropbox
bn.VERSION: 108.4.453
bn.constants.WINDOWS_SHELL_EXT_VERSION: 46
bn.is_frozen: True
machine_id: d6bd0a9a-82d1-5e9d-8e28-fb03b9a018a1
pid: 4238
ppid: 1
uid: 502
user_info: pwd.struct_passwd(pw_name='Work', pw_passwd='********', pw_uid=502, pw_gid=20, pw_gecos='Work', pw_dir='/Users/work', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='Work', pw_passwd='********', pw_uid=502, pw_gid=20, pw_gecos='Work', pw_dir='/Users/work', pw_shell='/bin/bash')
euid: 502
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'ameliebouan', '_serialnumberd'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'ameliebouan', '_serialnumberd'])
DYLD_LIBRARY_PATH: None
cwd: '/'
real_path='/'
mode=0o40755 uid=0 gid=80
parent mode=0o40755 uid=0 gid=80
HOME: '/Users/work'
appdata: '/Users/pro/.dropbox/instance1'
real_path='/Users/pro/.dropbox/instance1'
not found
parent not found
dropbox_path: '/Users/pro/Dropbox'
real_path='/Users/pro/Dropbox'
not found
parent not found
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
mode=0o100755 uid=502 gid=20
parent mode=0o40755 uid=502 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
not found
parent not found
tempdir: '/var/folders/qk/8grpgjr52nx_zy2rmtkwfzg40000gp/T'
real_path='/private/var/folders/qk/8grpgjr52nx_zy2rmtkwfzg40000gp/T'
mode=0o40700 uid=502 gid=20
parent mode=0o40755 uid=502 gid=20
Traceback (most recent call last):
File "dropbox/client/main.pyc", line 1269, in safe_makedirs
File "os.pyc", line 213, in makedirs
File "os.pyc", line 213, in makedirs
File "os.pyc", line 223, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/pro'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox/client/main.pyc", line 7774, in main_startup
File "dropbox/client/main.pyc", line 2951, in run
File "dropbox/client/main.pyc", line 1715, in startup_low
File "dropbox/client/main.pyc", line 1296, in safe_makedirs
File "os.pyc", line 213, in makedirs
File "os.pyc", line 213, in makedirs
File "os.pyc", line 223, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/pro'

1 Accepted Solution

Accepted Solutions

Re: Can't start Dropbox because of permission error

ameliebouan
Helpful | Level 6

Hi Walter!

That second solution didn't work either, but what I did was I set my Work profile on my Mac as an admin, deleted Dropbox doing the clean uninstall (your first solution), redownloaded and... it worked! I didn't try to have the same Dropbox accounts on both my Personal and Work profile... but that's ok - I can open both, I'll work with shared folders to transfer stuff from one to another and boom! Thanks a lot for your time and help. 

View solution in original post

20 Replies 20

Re: Can't start Dropbox because of permission error

Walter
Dropboxer

Hi there @ameliebouan; welcome to the Community!

 

Could you perform a clean, advanced re-install and let me know if you still get the same error? 

 

Thanks!


Walter
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
:arrows_counterclockwise: Still stuck? Ask me a question!
:pushpin: Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Re: Can't start Dropbox because of permission error

ameliebouan
Helpful | Level 6

Hi Walter! Alas... yes, exact same error. What can be done? 

Re: Can't start Dropbox because of permission error

Walter
Dropboxer

Sorry to hear this persists, Amelie.

 

Let's try another route at this point:

 

1. Open your Terminal app (Located at /Applications/Utilities/Terminal)

 

2. Copy and paste the following line (highlighted below) into the Terminal and press ENTER. PLEASE make sure you copy and paste this command (don't type it by hand), as getting it wrong could cause some harm. You'll be prompted for your computer's admin password (not your Dropbox password) after entering the first command. Keep in mind that the password field in the terminal will remain blank as you type your password. After you type it, just press ENTER. You'll know that these instructions complete normally once the initial line of text (called prompt) comes up again:

 

sudo mv ~/.dropbox ~/.Trash/dropbox.old

 

Please note that once the prompt displays, the instruction completed the requested task. If the command returns an error, or does not respond after an hour, you may want to try restarting your computer and trying this step again.

 

3. Restart Dropbox from the Application folder, then please sign in and apply any Selective Sync settings you may have had prior to this reset during the sign in process. Your account will take a few moments to reindex the files and sync any pending changes.

 

If the desktop app still doesn't start then please copy and send me (a screenshot of) the result from the Terminal commands and any error messages.

 

Thanks! 


Walter
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
:arrows_counterclockwise: Still stuck? Ask me a question!
:pushpin: Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Re: Can't start Dropbox because of permission error

ameliebouan
Helpful | Level 6

Hi Walter!

That second solution didn't work either, but what I did was I set my Work profile on my Mac as an admin, deleted Dropbox doing the clean uninstall (your first solution), redownloaded and... it worked! I didn't try to have the same Dropbox accounts on both my Personal and Work profile... but that's ok - I can open both, I'll work with shared folders to transfer stuff from one to another and boom! Thanks a lot for your time and help. 

View solution in original post

Re: Can't start Dropbox because of permission error

VladimirMurr
Explorer | Level 4

Sorry for my English! I changed the name of the account and user folder and the dropbox app refused to install. This entry into the terminal and restarting the iMac helped. Thank you(Spasibo - Спасибо), Walter! 

Re: Can't start Dropbox because of permission error

Walter
Dropboxer

Glad to hear this worked for you @VladimirMurr.

 

See you around the Community and take care!


Walter
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
:arrows_counterclockwise: Still stuck? Ask me a question!
:pushpin: Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Re: Can't start Dropbox because of permission error

joelob
Explorer | Level 4

thank you so much for posting this! 

totally fixed my permission errors. 

really appreciate your help

Re: Can't start Dropbox because of permission error

joelob
Explorer | Level 4

this sentence fixed EVERTHING:sudo mv ~/.dropbox ~/.Trash/dropbox.old

you are amazing. 

 

renamed a drive letter where dropbox was located

Kirk D.1
Explorer | Level 3

I changed the letter of my disk drive that dropbox used. It was drive letter "d" and now the drive has been renamed to "e" .How do I get dropbox to look in drive "e". How can I get dropbox to look in the new drive?

 

 

bn.BUILD_KEY: Dropbox
bn.VERSION: 132.4.3800
bn.constants.WINDOWS_SHELL_EXT_VERSION: 49
bn.is_frozen: True
machine_id: 9588e6bf-44fc-4885-8f79-380fac42e8c1
pid: 4280
cwd: 'C:\\Users\\Kirk\\Desktop'
real_path='C:\\Users\\Kirk\\Desktop'
mode=0o40555 uid=0 gid=0
parent mode=0o40777 uid=0 gid=0
HOME: None
appdata: 'C:\\Users\\Kirk\\AppData\\Local\\Dropbox\\instance1'
real_path='C:\\Users\\Kirk\\AppData\\Local\\Dropbox\\instance1'
mode=0o40777 uid=0 gid=0
parent mode=0o40777 uid=0 gid=0
dropbox_path: 'D:\\Dropbox'
real_path='D:\\Dropbox'
not found
parent not found
sys_executable: 'C:\\Program Files (x86)\\Dropbox\\Client\\Dropbox.exe'
real_path='C:\\Program Files (x86)\\Dropbox\\Client\\Dropbox.exe'
mode=0o100777 uid=0 gid=0
parent mode=0o40777 uid=0 gid=0
trace.__file__: 'C:\\Program Files (x86)\\Dropbox\\Client\\132.4.3800\\python-packages.zip\\dropbox\\client\\ui\\common\\boot_error.pyc'
real_path='C:\\Program Files (x86)\\Dropbox\\Client\\132.4.3800\\python-packages.zip\\dropbox\\client\\ui\\common\\boot_error.pyc'
not found
parent not found
TMP: C:\Users\Kirk\AppData\Local\Temp
TEMP: C:\Users\Kirk\AppData\Local\Temp
tempdir: 'C:\\Users\\Kirk\\AppData\\Local\\Temp'
real_path='C:\\Users\\Kirk\\AppData\\Local\\Temp'
mode=0o40777 uid=0 gid=0
parent mode=0o40777 uid=0 gid=0
Traceback (most recent call last):
File "dropbox\shared\error_util.pyc", line 30, in convert_error
File "dropbox\sync_engine\file_system\windows.pyc", line 339, in __init__
pywintypes.error: (21, 'CreateFileW', 'The device is not ready.')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox\client\authentication\register_host_helper.pyc", line 723, in _on_register_host_success
File "dropbox\client\authentication\register_host_helper.pyc", line 899, in _handle_joining_leaving_cdm_team
File "dropbox\client\relocate_namespace_folders.pyc", line 686, in execute_pending_operations
File "dropbox\sync_engine\file_system\windows.pyc", line 410, in open
File "dropbox\sync_engine\file_system\windows.pyc", line 339, in __init__
File "contextlib.pyc", line 131, in __exit__
File "dropbox\shared\error_util.pyc", line 43, in convert_error
File "six.pyc", line 695, in reraise
File "dropbox\shared\error_util.pyc", line 30, in convert_error
File "dropbox\sync_engine\file_system\windows.pyc", line 339, in __init__
dropbox.sync_engine_boundary.file_system_exceptions.PermissionDeniedError: [Errno 13] The device is not ready.

Who's talking

Top contributors to this post

  • User avatar
    Walter Dropboxer
  • User avatar
    ScottC New member | Level 2
  • User avatar
    Noorpaly New member | Level 2
What do Dropbox user levels mean?
Need more support?